using System.Runtime.CompilerServices;
using Microsoft.Extensions.DependencyInjection;
using WeChatSharp.Services;

namespace WeChatSharp.Extensions;

public static class WeChatExtensions
{
	public static IServiceCollection AddWeChatService(this IServiceCollection self)
	{
		self.AddSingleton<WeChatAccessTokenService>();
		self.AddSingleton<WeChatUserInfoService>();
		self.AddSingleton<IWeChatSettings,WeChatSettingsService>();
		self.AddSingleton<WeChatHttpClient>();
		return self;
	}
}